#!/usr/bin/env python

import os.path
import sys
import lxml.html


if len(sys.argv) != 2:
    print >> sys.stderr, "Usage: %s simple_directory" % sys.argv[0] 
    exit(1)

changes = 0

for root, dirs, files in os.walk(sys.argv[1]):

    for file in files:

        if file != 'index.html':
            continue
        
        file = os.path.join(root, file)
        print file

        changed = False
        
        with open(file, 'r') as fp:
            
            try:
                tree = lxml.html.fromstring(fp.read())
                for node in tree.iter():
                    if 'rel' in node.attrib and node.attrib['rel'] in ['download', 'homepage']:
                        node.getparent().remove(node)
                        changed = True
                    
                transformed = lxml.html.tostring(tree)
            except:
            	changed = False
                print 'Error:', file
        
        if changed:
            changes += 1
            with open(file, 'w+') as fp:
                fp.write(transformed)

print '%s files changed' % changes
